Subject: Trouble growing impatiens

From: [email-masked] (SuzAllison)
Date: 28 Mar 1995 19:24:23 -0500

Yes, I actually have trouble with impatiens.  I have a large perennial
garden, two rose gardens, and several smaller flower beds (US Zone 7b) in
which everything grows lushly and flowers prolifically -- except
impatiens!  I usually buy small bedding plants in spring and set them out
in my various shady areas for fill-in color, but they never do well. 
(They do bloom a little bit, but never seem to grow very much at all. 
They always look sparse and rather desperate.)  Soil is good, moisture
levels are fine, etc.  I've tried the impatiens in different areas, with
varying amounts of light, but still little success.  I am (forgive me for
saying) an experienced gardener, so I don't think I've missed anything too
obvious.  I've even tried putting them in POTS in the ground -- since in
years past I grew impatiens in window boxes and planters with wild success
-- but still, no luck.  Any ideas?